/* Essai de la bib. X
   (C) 1999, Emmanuel CURIS

   Programme 2 : initialisation, ouverture d'une fentre qui contient un arbre; il y a un menu.
*/

#include <stdio.h>
#include <stdlib.h>

#define _USE_LIBPRINTF
#include "bib_interface.h"
#include "../exafs.h"

#ifdef ancien
static boolean clavier(Fenetre *fenetre, unsigned int touche, int etat)
{
  if ( NULL == fenetre ) return VRAI;

  if ( ' ' == touche ) return VRAI;
  if ( K_CTRL & etat ) {
    (void) printf("Touche Ctrl appuye\n");
    return VRAI;
  }

  return BI_EVENEMENT_FIN_PRG;
}
#endif

int main(void)
{
/*    Fenetre *fenetre; */
  boolean sortie = FAUX;

  if ( BI_Initialiser( "../exafs.rsc", 0, NULL, NULL ) == FAUX ) {
    return -1;
  }

  /* On initialise l'arbre */
  ARB_Initialiser( CHOIX_GRAPHE, NULL, NULL, NULL );

  /* Ouverture d'une fentre contenant un arbre GEM */
  FEN_OuvrirArbre( NULL, MOVER|NAME, CHOIX_GRAPHE, "Essai d'arbre en fen"e_CIRC"tre", -1, -1 );
  /* Un arbre avec ext_formdo() */
  /*
  printf("On a choisi le bouton %d pour sortir\n", ext_formdo(28, "Arbre \"bloquant\""));
  */
  do {
    sortie = BI_AttendEvenement( 0,
				 0, 0, 0, 0, 0, 0UL,
				 NULL, NULL, NULL, NULL, NULL, NULL);
  } while (sortie != BI_EVENEMENT_FIN_PRG);

  form_alert(1, "[2][ Ben oui, on va quitter | C'est ce que tu voulais.][ Oui ]");

  BI_Terminer();
  return 0;
}
