/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Bibliothque de formulaires (FORM lib) */

#ifndef X_FORM_LIB_H_

#define X_FORM_LIB_H_ 

#define EXCLAME   '1' /* Les icnes possibles pour les botes d'alerte */
#define INTERROGE '2'
#define STOP      '3'
#define DISQUE    '4'

#define FMD_START  0 /* Paramtres pour form_dial*/
#define FMD_GROW   1
#define FMD_SHRINK 2
#define FMD_FINISH 3

int  form_do         (OBJECT  *form, unsigned int start);
int  form_dial       (int dtype, int ix, int iy, int iw, int ih, int x, int y, int w, int h);
int  form_alert      (int defbut, const char *astring);
int  form_error      (int errnum);
int  form_center     (OBJECT  *tree, int  *pcx, int  *pcy, int  *pcw, int  *pch);
int  form_keybd      (OBJECT  *form, unsigned int obj, unsigned int nxt_obj,
                         unsigned int thechar, unsigned int  *pnxt_obj, unsigned int  *pchar);
int  form_button     (OBJECT  *form, unsigned int obj, int clks, unsigned int  *pnxt_obj);

#endif /* X_FORM_LIB_H_ */
