/* Bibliothque GEM pour X-Windows
   (C) 1998, Emmanuel CURIS

   Bibliothque de base VDI (fonctions vs_??? : installation de paramtres) */

#ifndef X_VS_LIB_H_

#define X_VS_LIB_H_ 

int  vst_load_fonts    (int handle, int fonte);
void vst_unload_fonts  (int handle, int fonte);
int  vst_ex_load_fonts (int handle, int fonte, int font_max, int font_free);
void vs_clip           (int handle, int clip_flag, int *pxyarray);
int  vswr_mode         (int handle, int mode);
void vs_color          (int handle, int numero, int *rgb_in);
int  vsl_type          (int handle, int style);
void vsl_udsty         (int handle, int pattern);
int  vsl_width         (int handle, int width);
int  vsl_color         (int handle, int color_index);
void vsl_ends          (int handle, int beg_style, int end_style);
int  vsm_type          (int handle, int symbol);
int  vsm_height        (int handle, int height);
int  vsm_color         (int handle, int color_index);
void vst_height        (int handle, int height,
                          int *char_width, int *char_height,
                          int *cell_width, int *cell_height);
int  vst_point         (int handle, int point,
                          int *char_width, int *char_height,
                          int *cell_width, int *cell_height);
int  vst_rotation      (int handle, int angle);
int  vst_font          (int handle, int font);
int  vst_color         (int handle, int color_index);
int  vst_effects       (int handle, int effect);
void vst_alignment     (int handle, int hor_in, int vert_in, int *hor_out, int *vert_out);
int  vsf_interior      (int handle, int style);
int  vsf_style         (int handle, int style_index);
int  vsf_color         (int handle, int color_index);
int  vsf_perimeter     (int handle, int per_vis);
int  vsf_xperimeter    (int handle, int per_vis, int per_style);
void vsf_udpat         (int handle, int *pfill_pat, int planes);
void vs_grayoverride   (int handle, int grayval);
void vsin_mode         (int handle, int dev_type, int mode);
int  vsm_locator       (int handle, int initx, int inity,
                          int *xout, int *yout, int *term);
void vsm_valuator      (int handle, int val_in, int *val_out,
                          int *term, int *status);
int  vsm_choice        (int handle, int *choice);
int  vsm_string        (int handle, int length, int echo_mode,
                          int *echo_xy, char *string);
void vsc_form          (int handle, int *cur_form);

void vs_curaddress     (int handle, int row, int column);
int  vs_palette        (int handle, int palette);
int  vs_mute           (int handle, int action);
void vsp_film          (int handle, int couleur, int lightness);
void vsc_expose        (int handle, int state);
void vs_bkcolor        (int handle, int color);
void vsp_state         (int handle, int port, int film_num,
                          int lightness, int interlace, int planes,
                          int *indexes);
void vsp_save          (int handle);
void vsp_message       (int handle);

#endif /* X_VS_LIB_H_ */
